Subject: Re: bug#30992: Acknowledgement (27.0.50; Crash when graphics card switches)

From: Alan Third <[email-masked]>
Date: Fri, 13 Apr 2018 19:14:16 +0100

On Wed, Apr 11, 2018 at 11:09:01PM -0400, Richard Stallman wrote:
> 
>   > I don’t think Cocoa works with GCC,
> 
> Could you explain what that means?  What is "Cocoa"
> and what does it mean for it to work, or not work, with GCC?

It’s Apple’s direct equivalent of GNUstep.

When I try to build Emacs with GCC it fails with the message

    configure: WARNING: AppKit/AppKit.h: present but cannot be
    compiled

If I try to compile this:

    #import <Appkit/Appkit.h>
    
    int main() {
      return 1;
    }

I get a massive list of errors using GCC, but clang compiles it
silently. I think it’s because Apple have made a number of
incompatible changes to their implementation of Objective‐C that
haven’t been replicated in GCC.

-- 
Alan Third